# $Id: transcode.spec,v 1.16 2003/03/25 17:32:27 dude Exp $

%define snapshot .20030318

Summary: A Linux video stream processing utility.
Name: transcode
Version: 0.6.4
Release: fr%{?snapshot:0%{snapshot}.}1
License: GPL
Group: Applications/Multimedia
Source: http://www.theorie.physik.uni-goettingen.de/~ostreich/transcode/%{name}-%{version}%{?snapshot}.tar.gz
URL: http://www.theorie.physik.uni-goettingen.de/~ostreich/transcode/
BuildRoot: %{_tmppath}/%{name}-root
%{?_with_avifile6:Requires: avifile >= 0.6.0}
%{?_with_magick:Requires: ImageMagick >= 5.4.3}
%{?_with_lzo:Requires: lzo >= 1.08}
%{!?_without_lame:Requires: lame >= 3.89}
%{!?_without_ogg:Requires: libogg}
%{!?_without_vorbis:Requires: libvorbis}
%{!?_without_dvdread:Requires: libdvdread}
%{!?_without_dv:Requires: libdv}
%{!?_without_libfame:Requires: libfame}
%{!?_without_mplayer:Requires: mplayer}
%{!?_without_mjpeg:Requires: mjpegtools}
Requires: SDL, libxml2, libjpeg
%{?_with_avifile6:BuildRequires: avifile-devel >= 0.6.0}
%{?_with_magick:BuildRequires: ImageMagick-devel >= 5.4.3}
%{?_with_lzo:BuildRequires: lzo-devel >= 1.08}
%{!?_without_lame:BuildRequires: lame-devel >= 3.89}
%{!?_without_ogg:BuildRequires: libogg-devel}
%{!?_without_vorbis:BuildRequires: libvorbis-devel}
%{!?_without_dvdread:BuildRequires: libdvdread-devel}
%{!?_without_dv:BuildRequires: libdv-devel}
%{!?_without_a52:BuildRequires: a52dec-devel >= 0.7.3}
%{!?_without_libfame:BuildRequires: libfame-devel}
%{!?_without_mplayer:BuildRequires: mplayer}
%{!?_without_mjpeg:BuildRequires: mjpegtools-devel}
BuildRequires: glib-devel
BuildRequires: SDL-devel, libxml2-devel, libjpeg-devel
%ifarch i386
BuildRequires: nasm
%endif

%description
Transcode is a linux text-console utility for video stream processing.
Decoding and encoding is done by loading modules that are responsible for
feeding transcode with raw video/audio streams (import modules) and
encoding the frames (export modules). It supports elementary video and
audio frame transformations, including de-interlacing or fast resizing of
video frames and loading of external filters.

Please see the included README file for more.

Available rpmbuild rebuild options :
--with : avifile6 magick lzo
--without : lame ogg vorbis dvdread dv a52 libfame mplayer

%prep
%setup -q -n %{name}-%{version}%{?snapshot}

%build
%configure \
	%{!?_with_avifile6:--with-avifile-mods=no} \
	%{!?_with_magick:--without-magick-mods} \
	%{!?_with_lzo:--with-lzo=no} \
	%{?_without_lame:--without-lame} \
	%{?_without_ogg:--without-ogg} \
	%{?_without_vorbis:--without-vorbis} \
	%{?_without_dvdread:--without-dvdread} \
	%{?_without_dv:--without-dv} \
	%{?_without_a52:--without-a52} \
	%{?_without_libfame:--without-libfame}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall
mv %{buildroot}%{_docdir}/transcode installed-docs

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO installed-docs/*
%{_bindir}/*
%{_libdir}/transcode
%{_mandir}/man1/*

%changelog
* Tue Mar 25 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.4.20030318 in order to fix ppc build.

* Tue Feb 18 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added lzo support, thanks to Jos Romildo Malaquias.

* Sun Feb 16 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuild against new libdvdread.

* Fri Jan 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.3 final.

* Tue Jan 28 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.3.20030123 snapshot.

* Sat Jan 11 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fix the avifile dependency (disabled by default).

* Tue Dec 24 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added mjpegtools.

* Mon Dec  9 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.2 final.

* Sun Nov 17 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to latest snapshot, 20021114.
- Rebuilt to use mplayer's libpostproc.
- Added libfame support.

* Sun Oct  6 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.
- Added --with and --without build options.

* Mon Sep 23 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.1.

* Mon Aug 19 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added nasm dependency.

* Fri Aug  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.0 final!

* Thu Aug  1 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.0rc4... doesn't compile :-(
- Added libdv, libogg and libvorbis dependencies.

* Fri Jun 14 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.0rc1.
- Spec file updates and fixes.

* Mon Dec 24 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.3.

* Sun Dec  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.1.

* Sun Nov 25 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Major spec file cleanup.

* Wed Jul 11 2001 Thomas streich
- update to transcode v0.3.3
- small changes suggested by VM

* Tue Jul 10 2001 Thomas streich
- update to transcode v0.3.2
- added pkgdir in install section

* Tue Jul 10 2001 Volker Moell <moell@gmx.de>
- Wrote this specfile; first build

